dbg::assertion_exception Struct Reference

The type of exception thrown by assertion. More...

`#include <dbg.h>`

Inheritance diagram for dbg::assertion_exception:

## Public Member Functions

| assertion_exception (const source_pos &p)
Public Member Functions inherited from dbg::dbg_exception
| dbg_exception (const source_pos &p)

## Additional Inherited Members

Public Attributes inherited from dbg::dbg_exception
const source_pos | pos

## Detailed Description

The type of exception thrown by assertion.

See Also
  assertion

Definition at line 498 of file dbg.h.

The documentation for this struct was generated from the following file:

- dbg.h